require "util"
require "story"
require "defines"

script.on_event(defines.events, function(event)
	if event.name == defines.events.on_built_entity then
		if 
		event.created_entity.name == "basic-transport-belt" or   		
		event.created_entity.name == "express-transport-belt" or
		event.created_entity.name == "fast-transport-belt" or
		event.created_entity.name == "basic-transport-belt-to-ground" or
		event.created_entity.name == "express-transport-belt-to-ground" or
		event.created_entity.name == "fast-transport-belt-to-ground" or
		event.created_entity.name == "basic-splitter" or
		event.created_entity.name == "express-splitter" or
		event.created_entity.name == "fast-splitter"
		then
			game.player.print({"", "The perpetual motion device has stoped working in the ", event.created_entity.localised_name, "! (because magnets)"})
			event.created_entity.active = false
		end
	end
end)